Is my device compatible with Canopy?

Updated 9 months ago by Wesley Schnitzler

Unfortunately, some devices are NOT compatible with Canopy - this includes any non-waterproof phones such as the Samsung S7 and the iPhone SE/5 or older models.


How did we do?


Powered by HelpDocs (opens in a new tab)